GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
String | getNationalParcelNumber ()
void | setNationalParcelNumber (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)

## Protected Attributes
String | trackID
String | shipmentReference
String | shipmentUnitReference
String | parcelNumber
String | partnerParcelNumber
String | nationalParcelNumber
BigDecimal | weight

## Detailed Description

Request (input) parameters for updateParcelWeight request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
              <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
              <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
              <element name="NationalParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            </choice>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 58 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## Member Function Documentation

## ◆ getNationalParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getNationalParcelNumber | ( |  | ) |

Gets the value of the nationalParcelNumber property.

Returns
  possible object is String

Definition at line 205 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 157 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getPartnerParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 181 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getShipmentReference()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 109 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getShipmentUnitReference()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 133 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getTrackID()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 85 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ getWeight()

BigDecimal eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 229 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setNationalParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setNationalParcelNumber | ( | String | value | ) |

Sets the value of the nationalParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 217 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 169 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setPartnerParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 193 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setShipmentReference()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 121 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setShipmentUnitReference()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 145 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setTrackID()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 97 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ setWeight()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 241 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## Member Data Documentation

## ◆ nationalParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.nationalParcelNumber
| protected

Definition at line 71 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ parcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.parcelNumber
| protected

Definition at line 67 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ partnerParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.partnerParcelNumber
| protected

Definition at line 69 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ shipmentReference

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.shipmentReference
| protected

Definition at line 63 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ shipmentUnitReference

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.shipmentUnitReference
| protected

Definition at line 65 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ trackID

String eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.trackID
| protected

Definition at line 61 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

## ◆ weight

BigDecimal eu.gls_group.fpcs.v1.shipmentprocessing.types.UpdateParcelWeightRequestParameter.weight
| protected

Definition at line 75 of file gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/UpdateParcelWeightRequestParameter.java